<!-- 1.查看指定玩家的基本数据 -->
请求方式1:	http://服务器ip地址:端口号/player?code=xxx&玩家uid
示例:		http://192.168.1.102:8002/player?code=xxx&uid=00-6477912978149613568
请求方式2:	http://服务器ip地址:端口号/player?code=xxx&玩家名字
示例:		http://192.168.1.102:8002/player?code=xxx&name=老公公
http://192.168.108.4:9002/player?code=49a66c4b570c7e77&uid=00-6532420307121102848
http://192.168.108.4:9002/player?code=49a66c4b570c7e77&name=诗云的大和
反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
	content:{	查询到的玩家数据
		exp:			玩家的当前经验值
		coins:			玩家的金币数量
		lastlogin:		玩家上次登陆的时间戳
		lv:				玩家等级
		lastlogout:		玩家上次下线的时间戳
		vip:			玩家的vip等级
		nickname:		玩家名字
		uid:			玩家的uid
		platform:		玩家使用的操作系统
		createtime:		玩家创建账号的时间戳
		channel:		玩家所属的渠道唯一标识
		diamonds:		玩家的钻石数量
		title:			玩家的称号编号
		appid:			玩家的App唯一标识
		sex:			玩家的性别
		power:			玩家的当前战力
		bind_diamonds   玩家的神石数量
		recharge = {
    	money = 773,								-- 充值金额
    	type = 1,										-- 货币类型
    	count = 9,									-- 充值次数
    	recharge_time = 1561532276,	-- 最后充值时间
		},
		guild_info = {
			guild_sid = "1010005",			-- 公会id
			guild_name = "神迹",				-- 公会名字
		}
		forbidden: 封号标志0是正常，非0解封号时间
		silent:    禁言标志0是正常，非0解禁言时间
	}

}
改动：删去了sdk和elfdata，
     新增了一个bind_diamonds   玩家的神石数量


<!-- 2.发送指定邮件 -->
请求方式:	http://服务器ip地址:端口号/mail?code=xxx&ntype=邮件发送方式&json=邮件内容(有几个参数)
关于邮件的发送方式ntype:		1.发给特定玩家;2.全服邮件;
关于邮件内容的参数:
		title:		邮件标题,必填;
		content:	邮件内容,必填;
		roles:		指定玩家的uid列表,发送ntype为1的邮件时必填;
		attach:		附件,使用通用奖励格式(3个1组的奖励数组,顺序分别为:奖励类型,奖励id,奖励数量);
示例:
	http://192.168.1.102:8002/mail?code=xxx&ntype=1&json={"roles":["00-6477912978149613568"],"attach":[[1,20004,123],[1,20005,234],
	[2,63002,1],[10,11221,1],[11,500161,1]],"title":"这是标题","content":"这是正文"}

发给特定玩家:
http://192.168.108.4:9002/mail?code=49a66c4b570c7e77&ntype=1&json={"roles":["00-6527363693544497152","00-6527368552515657728","00-6532420307121102848"],"attach":[[8,107,1],[8,98,1]],"title":1001,"content":"这是正文"}

发给全服玩家:
http://192.168.108.4:9002/mail?code=49a66c4b570c7e77&ntype=2&json={"attach":[[8,107,1],[8,98,1]],"title":1001,"content":"这是正文"}

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
}
改动：ntype参数：删去了类型3特殊渠道的玩家
    邮件内容参数：删除了channel参数。

<!-- 3.发送指定内容的跑马灯 -->
请求方式:	http://服务器ip地址:端口号/notice?code=xxx&ntype=1&interval=1&content=想要发送的跑马灯内容
示例:		http://192.168.1.102:8002/notice?code=xxx&ntype=1&interval=1&content=this%20is%20a%20test
http://192.168.108.4:9002/notice?code=49a66c4b570c7e77&ntype=2&interval=3&content=wude
反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
}
改动：ntype的值含义代表测试次数
     新增参数：interval，该值表示每次测试的时间间隔

<!-- 4.禁言封号的接口 -->
请求方式:	http://服务器ip:端口号/forbit?code=xxx&ntype=操作类型&json=操作参数(注意是json格式)
关于操作类型ntype:	1封号,2解封号,3禁言,4解禁言
关于操作参数json:{
	uids:	目标玩家的uid列表
	names:	目标玩家的名字列表(和uids一样都是用于获取玩家的,随便填一个就好)
	times:	禁言的时长(当ntype为1和3时必填)
}
示例:		http://192.168.1.102:8002/forbit?code=xxx&ntype=3&json={"uids":["00-6477913615516049408"],"times":60}
1.封号多长时间
http://192.168.108.4:9002/forbit?code=49a66c4b570c7e77&ntype=1&json={"uids":["00-6477913615516049408"],"times":60}
2.解封玩家
http://192.168.108.4:9002/forbit?code=49a66c4b570c7e77&ntype=2&json={"uids":["00-6477913615516049408"]}
3.禁言玩家多长时间
http://192.168.108.4:9002/forbit?code=49a66c4b570c7e77&ntype=3&json={"uids":["00-6477913615516049408"],"times":60}
4.解禁言玩家
http://192.168.108.4:9002/forbit?code=49a66c4b570c7e77&ntype=4&json={"uids":["00-6477913615516049408"]}

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
	content:{	详细内容
		succ:	操作成功的玩家uid列表,
		failed:	操作失败的玩家uid列表,
	}
}

<!-- 5.返回服务器当前在线人数 -->
请求方式:	http://服务器ip地址:端口号/online?code=xxx
示例:	http://192.168.1.102:9002/online?code=xxx
	   http://192.168.108.4:9002/online?code=49a66c4b570c7e77

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
	content：玩家数：players 连接数:connections  每分钟的平均下线人数：offline_avg_number
}
例如：{"state":0,"msg":"success","content":{"players":1,"connections":1,"offline_avg_number":1}}

修改：反馈信息新增content内容

<!-- 6.提供服务器状态查询 -->
请求方式:	http://服务器ip地址:端口号/server?code=xxx&ntype=操作类型error=错误描述
示例:	http://192.168.106.25:9002/server?code=a7fd102b76268069&ntype=1&error=错误描述

error参数在ntype为4时必须填写。
关于参数ntype:
1.运行状态查询;
2.禁止玩家登陆;
3.恢复允许登陆;
4.踢掉所有在线玩家,必须填写error参数

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
}

修改：对反馈信息msg的改动 具体了一点

<!-- 7.重读配置文件的接口-->
请求方式:	http://服务器ip地址:端口号/reload?code=xxx&ntype=操作类型&vjson=额外参数
关于操作类型ntype:
1.刷新重读所有code代码文件;
2.刷新重读指定配置文件(通过额外参数vjson传入);

示例1:	http://192.168.1.102:9002/reload?code=xxx&ntype=1
示例2:	http://192.168.1.102:9002/reload?code=xxx&ntype=2&vjson=["award_proto","item_proto"]

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
}

改动：1.不再提供更改所有配置文件
	 2.ntype=1是变为刷新重读所有code代码文件

<!-- 8.移除玩家指定道具/代币的接口 -->
-- http://服务器ip地址:端口号/delitem?code="xxx"&uid="00-xx"&json=移除的道具or代币列表
-- http://192.168.108.19:9002/delitem?code="xxx"&uid="00-xx"&json={"items":[[104,0,10000000],[102,0,3000],[1,20014,100]]}

扣除类型：         提供参数：
 -- 道具          -- 道具id, 数量
 -- 精灵          -- 精灵模板, 精灵唯一id
 -- 时装          -- 时装id
 -- 碎片          -- 碎片id, 数量
 -- 符文          -- 符文id, 数量
 -- 符文碎片      -- 碎片id, 数量

扣除精灵：
--http://192.168.108.4:9002/delitem?code=49a66c4b570c7e77&uid=00-6532420307121102848&json={"items":[[3,精灵sid,精灵id]]}
--http://192.168.108.4:9002/delitem?code=49a66c4b570c7e77&uid=00-6532420307121102848&json={"items":[[3,40441,"EL00-6532949446387326977"]]}



<!-- 9.查询玩家指定key值的数据信息 -->
-- http://服务器ip地址:端口号/field_inquire?code=xxx&uid="00-xx"&json=移除的道具or代币列表
-- http://192.168.1.51:9001/field_inquire?code=xxx&uid=00-6395766577223962624&key=elfdata（精灵信息）

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"success")
	data：      具体信息表
}


<!-- 10.查询修改服务器时间 -->
-- http://服务器ip地址:端口号/modify_time?code=xxx&arg={"type":1,"time":0}
查询当前服务器时间
-- http://192.168.1.51:9001/modify_time?code=xxx&arg={"type":1,"time":0}
修改服务器时间，time是时间戳格式
-- http://192.168.1.51:9001/modify_time?code=xxx&arg={"type":2,"time":1531822162}
修改服务器时间，time是指定格式
-- http://192.168.1.51:9001/modify_time?code=xxx&arg={"type":3,"time":"2018-7-17 17:44:50"}

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"set succeed")
	time:1558388690,时间戳格式
	format:"2019-05-20 17:44:50"
	type = 1    返回与请求相同的type
}

<!-- 11.增加白名单 -->
-- http://服务器ip地址:端口号/whitelist?code=xxx&account=["fsdfs","fefwef"]
-- http://192.168.1.51:9001/whitelist?code=xxx&ipaddr=["1.1.1.1","2.2.2.2"]

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时候会是"新增白名单 成功")
	ipaddr:     成功的ip地址
	account:    成功的账户名
}

<!-- 12.补单 -->
-- http://服务器ip地址:端口号/recharge?code=xxx&cfid=xxx&uid=xxxxxx&orderid=xxxxx
参数说明：
cfid：充值订单号
orderid：请求id
反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
}

<!-- 13.查询服务具体信息（控制台功能） -->
-- http://服务器ip地址:端口号/service_inquire?code=xxx&cmd=info&address=.service名
--http://192.168.108.4:9002/service_inquire?code=49a66c4b570c7e77&cmd=info&address=.guild_boss

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
	context：	成功则返回服务的具体信息
}

<!-- 14.svn更新 -->
-- http://服务器ip地址:端口号/svn_update?code=xxx&config=*&type=1
示例：
--更新配置
--http://192.168.108.4:9002/svn_update?code=49a66c4b570c7e77&type=1
--更新代码
--http://192.168.108.4:9002/svn_update?code=49a66c4b570c7e77&type=2

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
	content：	成功则返回服务的具体信息
}


<!-- 15.查询禁言封号玩家信息 -->
-- http://服务器ip地址:端口号/query_forbit?code=xxx&cmd=*
--示例：
--查询禁言玩家
--http://192.168.108.4:9002/query_forbit?code=49a66c4b570c7e77&cmd=silent
--查询封号玩家
--http://192.168.108.4:9002/query_forbit?code=49a66c4b570c7e77&cmd=forbidden
--查询封号禁言玩家（有其中之一状态）
--http://192.168.108.4:9002/query_forbit?code=49a66c4b570c7e77&cmd=*

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
	list：	    成功则返回玩家列表信息（表）
}

<!-- 16.封禁 ip/设备 -->
请求方式:	http://服务器ip:端口号/ban?code=xxx&ntype=操作类型&json=操作参数(注意是json格式)
关于操作类型 ntype:	1: ip封禁 2：ip解封 3: 设备封禁 4：设备解封
关于操作参数json:
{
	facility: 被封禁的 设别列表/ip列表
	uids:	  目标玩家的uid列表
	names:	目标玩家的名字列表(和uids 可以同时存在)
}
封禁逻辑：
	1. 直接封禁 facility 内的 ip/设备, 不读取玩家数据。
	2. 解封 只需要传入 facility 内容即可，无需指定 uids/names 的内容
	3. uids/names 有内容: 会查询玩家最近登陆所有使用 ip/设备 进行封禁

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
	content:{	详细内容
		succ:	操作成功的玩家 uids/names/facility 列表,
		failed:	操作失败的玩家 uids/names/facility 列表,
	}
}

<!-- 17.公会管理 -->
请求方式:	http://服务器ip:端口号/ban?code=xxx&type=操作类型&content=xxxx&sid=xxxxx
参数:
	type:
		1: 封禁公会 conten=1
		2: 解封公会 conten=2
		3: 重置公告 conten=公告内容
		4: 重置名称 conten=公会行名称
		5: 解散公会 conten=5
	sid: 公会sid

反馈信息内容(json格式):
{
	state:		反馈码(0表示成功)
	msg:		反馈描述(成功的时返回success)
}